cancel
Showing results for 
Search instead for 
Did you mean: 

Extension issue.

SOLVED

Extension issue.

 

PHP Extension intl.

PHP Extension soap.
PHP Extension zip.

PHP Extension bcmath.

 
4 failed 

 

How to install PHP Extension intl. on fedora ?

 

already upgraded php version to 7.0.25

 

tried

 

sudo yum install libicu

 

sudo yum install libicu-devel.x86_64

 

sudo /usr/bin/pecl install intl

 

sudo echo 'extension=intl.so' >> /etc/php.ini

 

all still not fix it , any suggestion ?

 

Tags (1)
4 REPLIES

Re: Extension issue.

sudo yum install php7.0-bcmath
sudo yum install php7.0-intl
sudo yum install php7.0-soap
sudo yum install php7.0-zip 

You have to inistall as per above way and check.

If Issue Solved, Click Kudos/Accept As solutions.

Re: Extension issue.

Thanks for your update.

 

but none of it working.

 

[root@localhost etc]# sudo yum install php7.0-bcmath
Redirecting to '/usr/bin/dnf install php7.0-bcmath' (see 'man yum2dnf')

Last metadata expiration check: 1:30:58 ago on Mon May 7 16:05:50 2018.
No package php7.0-bcmath available.
Error: Unable to find a match.


[root@localhost etc]# sudo yum install php7.0-intl
Redirecting to '/usr/bin/dnf install php7.0-intl' (see 'man yum2dnf')

Last metadata expiration check: 1:31:39 ago on Mon May 7 16:05:50 2018.
No package php7.0-intl available.
Error: Unable to find a match.


[root@localhost etc]# sudo yum install php7.0-soap
Redirecting to '/usr/bin/dnf install php7.0-soap' (see 'man yum2dnf')

Last metadata expiration check: 1:33:32 ago on Mon May 7 16:05:50 2018.
No package php7.0-soap available.
Error: Unable to find a match.


[root@localhost etc]# sudo yum install php7.0-zip
Redirecting to '/usr/bin/dnf install php7.0-zip' (see 'man yum2dnf')

Last metadata expiration check: 1:33:41 ago on Mon May 7 16:05:50 2018.
No package php7.0-zip available.
Error: Unable to find a match.

Re: Extension issue.

Hello @chris_chiu

 

sudo yum install php-soap

can you please try for soap.

 

After do that you need to restart server. 

Re: Extension issue.

Hi @chris_chiu

 

Based on the error log you have posted , it seems like the fedora system is using dnf instead of yum for managing packages.

 

so here if you would like to install bcmath , first you need to identify appropriate package name for your requirement, to find the appropriate package name you need to run below command first :

 

 

dnf search php | grep bcmath

 

 

So above command will display the list of available packages for bcmath library to your system based on the repositories you have.

 

Then after you can select the appropriate package name for bcmath library from the output of the above command and install that library using below command :

 

 

dnf install <packagename>

 

so example - dnf install php7.0-bcmath

 

Hope it Helps !!

 

 

if issue solved,Click Kudos & Accept as Solution